# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: device_server.proto

import sys
_b=sys.version_info[0]<3 and (lambda x:x) or (lambda x:x.encode('latin1'))
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


import pymascot.commands_pb2 as commands__pb2
import pymascot.device_pb2 as device__pb2
import pymascot.device_properties_pb2 as device__properties__pb2
import pymascot.subscriptions_pb2 as subscriptions__pb2
import pymascot.attributes_pb2 as attributes__pb2
import pymascot.attribute_config_pb2 as attribute__config__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='device_server.proto',
  package='mascot',
  syntax='proto3',
  serialized_options=None,
  serialized_pb=_b('\n\x13\x64\x65vice_server.proto\x12\x06mascot\x1a\x0e\x63ommands.proto\x1a\x0c\x64\x65vice.proto\x1a\x17\x64\x65vice_properties.proto\x1a\x13subscriptions.proto\x1a\x10\x61ttributes.proto\x1a\x16\x61ttribute_config.proto2\xba\x07\n\x12MascotDeviceServer\x12Q\n\x10GetAttributeList\x12\x1f.mascot.GetAttributeListMessage\x1a\x1a.mascot.AttributeListReply\"\x00\x12K\n\x0eGetCommandList\x12\x1d.mascot.GetCommandListMessage\x1a\x18.mascot.CommandListReply\"\x00\x12K\n\rReadAttribute\x12\x1c.mascot.ReadAttributeMessage\x1a\x1a.mascot.ReadAttributeReply\"\x00\x12\x45\n\x0eWriteAttribute\x12\x1d.mascot.WriteAttributeMessage\x1a\x12.mascot.WriteReply\"\x00\x12S\n\x13ReadAttributeConfig\x12\x1c.mascot.ReadAttributeMessage\x1a\x1c.mascot.AttributeConfigReply\"\x00\x12W\n\x14ReadDeviceProperties\x12#.mascot.ReadDevicePropertiesMessage\x1a\x18.mascot.DeviceProperties\"\x00\x12G\n\x15WriteDeviceProperties\x12\x18.mascot.DeviceProperties\x1a\x12.mascot.WriteReply\"\x00\x12`\n\x17ReadDeviceAttributeMeta\x12&.mascot.ReadDeviceAttributeMetaMessage\x1a\x1b.mascot.DeviceAttributeMeta\"\x00\x12M\n\x18WriteDeviceAttributeMeta\x12\x1b.mascot.DeviceAttributeMeta\x1a\x12.mascot.WriteReply\"\x00\x12?\n\tSubscribe\x12\x18.mascot.SubscribeMessage\x1a\x16.mascot.SubscribeReply\"\x00\x12\x45\n\x0bUnsubscribe\x12\x1a.mascot.UnsubscribeMessage\x1a\x18.mascot.UnsubscribeReply\"\x00\x12@\n\x0e\x45xecuteCommand\x12\x16.mascot.CommandMessage\x1a\x14.mascot.CommandReply\"\x00\x62\x06proto3')
  ,
  dependencies=[commands__pb2.DESCRIPTOR,device__pb2.DESCRIPTOR,device__properties__pb2.DESCRIPTOR,subscriptions__pb2.DESCRIPTOR,attributes__pb2.DESCRIPTOR,attribute__config__pb2.DESCRIPTOR,])



_sym_db.RegisterFileDescriptor(DESCRIPTOR)



_MASCOTDEVICESERVER = _descriptor.ServiceDescriptor(
  name='MascotDeviceServer',
  full_name='mascot.MascotDeviceServer',
  file=DESCRIPTOR,
  index=0,
  serialized_options=None,
  serialized_start=150,
  serialized_end=1104,
  methods=[
  _descriptor.MethodDescriptor(
    name='GetAttributeList',
    full_name='mascot.MascotDeviceServer.GetAttributeList',
    index=0,
    containing_service=None,
    input_type=device__pb2._GETATTRIBUTELISTMESSAGE,
    output_type=device__pb2._ATTRIBUTELISTREPLY,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='GetCommandList',
    full_name='mascot.MascotDeviceServer.GetCommandList',
    index=1,
    containing_service=None,
    input_type=device__pb2._GETCOMMANDLISTMESSAGE,
    output_type=device__pb2._COMMANDLISTREPLY,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='ReadAttribute',
    full_name='mascot.MascotDeviceServer.ReadAttribute',
    index=2,
    containing_service=None,
    input_type=attributes__pb2._READATTRIBUTEMESSAGE,
    output_type=attributes__pb2._READATTRIBUTEREPLY,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='WriteAttribute',
    full_name='mascot.MascotDeviceServer.WriteAttribute',
    index=3,
    containing_service=None,
    input_type=attributes__pb2._WRITEATTRIBUTEMESSAGE,
    output_type=attributes__pb2._WRITEREPLY,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='ReadAttributeConfig',
    full_name='mascot.MascotDeviceServer.ReadAttributeConfig',
    index=4,
    containing_service=None,
    input_type=attributes__pb2._READATTRIBUTEMESSAGE,
    output_type=attribute__config__pb2._ATTRIBUTECONFIGREPLY,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='ReadDeviceProperties',
    full_name='mascot.MascotDeviceServer.ReadDeviceProperties',
    index=5,
    containing_service=None,
    input_type=device__properties__pb2._READDEVICEPROPERTIESMESSAGE,
    output_type=device__properties__pb2._DEVICEPROPERTIES,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='WriteDeviceProperties',
    full_name='mascot.MascotDeviceServer.WriteDeviceProperties',
    index=6,
    containing_service=None,
    input_type=device__properties__pb2._DEVICEPROPERTIES,
    output_type=attributes__pb2._WRITEREPLY,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='ReadDeviceAttributeMeta',
    full_name='mascot.MascotDeviceServer.ReadDeviceAttributeMeta',
    index=7,
    containing_service=None,
    input_type=device__properties__pb2._READDEVICEATTRIBUTEMETAMESSAGE,
    output_type=device__properties__pb2._DEVICEATTRIBUTEMETA,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='WriteDeviceAttributeMeta',
    full_name='mascot.MascotDeviceServer.WriteDeviceAttributeMeta',
    index=8,
    containing_service=None,
    input_type=device__properties__pb2._DEVICEATTRIBUTEMETA,
    output_type=attributes__pb2._WRITEREPLY,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='Subscribe',
    full_name='mascot.MascotDeviceServer.Subscribe',
    index=9,
    containing_service=None,
    input_type=subscriptions__pb2._SUBSCRIBEMESSAGE,
    output_type=subscriptions__pb2._SUBSCRIBEREPLY,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='Unsubscribe',
    full_name='mascot.MascotDeviceServer.Unsubscribe',
    index=10,
    containing_service=None,
    input_type=subscriptions__pb2._UNSUBSCRIBEMESSAGE,
    output_type=subscriptions__pb2._UNSUBSCRIBEREPLY,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='ExecuteCommand',
    full_name='mascot.MascotDeviceServer.ExecuteCommand',
    index=11,
    containing_service=None,
    input_type=commands__pb2._COMMANDMESSAGE,
    output_type=commands__pb2._COMMANDREPLY,
    serialized_options=None,
  ),
])
_sym_db.RegisterServiceDescriptor(_MASCOTDEVICESERVER)

DESCRIPTOR.services_by_name['MascotDeviceServer'] = _MASCOTDEVICESERVER

# @@protoc_insertion_point(module_scope)
